"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configureAWS = void 0;
const tslib_1 = require("tslib");
const aws_sdk_1 = tslib_1.__importDefault(require("aws-sdk"));
exports.configureAWS = async (profile, region) => {
    const credentials = await new aws_sdk_1.default.CredentialProviderChain([
        () => new aws_sdk_1.default.EnvironmentCredentials('AWS'),
        () => new aws_sdk_1.default.SharedIniFileCredentials({
            profile,
        }),
    ]).resolvePromise();
    aws_sdk_1.default.config.update({
        region,
        credentials,
    });
    return aws_sdk_1.default.config;
};
//# sourceMappingURL=configure-aws.js.map