import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { NatGatewayState } from '../states/nat-gateway.state';
export declare type RemoveNatGatewaysState = NatGatewayState[];
export declare class RemoveNatGatewaysTrick implements TrickInterface<RemoveNatGatewaysState> {
    private ec2Client;
    static machineName: string;
    private routeTablesCache?;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: RemoveNatGatewaysState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper, currentState: RemoveNatGatewaysState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: RemoveNatGatewaysState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveNatGateway;
    private restoreNatGateway;
    private listNatGateways;
    private static getNameTag;
    private findRoutes;
    private getAllRouteTables;
}
