import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { ElasticacheReplicationGroupState } from '../states/elasticache-replication-group.state';
export declare type SnapshotRemoveElasticacheRedisState = ElasticacheReplicationGroupState[];
export declare class SnapshotRemoveElasticacheRedisTrick implements TrickInterface<SnapshotRemoveElasticacheRedisState> {
    private elcClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: SnapshotRemoveElasticacheRedisState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper, currentState: SnapshotRemoveElasticacheRedisState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: SnapshotRemoveElasticacheRedisState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveReplicationGroup;
    private restoreReplicationGroup;
    private getReplicationGroupState;
    private generateNodeGroupConfigs;
    private buildCreateParams;
    private doesReplicationGroupExist;
    private listReplicationGroups;
    private describeCacheCluster;
    private getTags;
    private static generateSnapshotName;
}
