import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { EcsClusterState } from '../states/ecs-cluster.state';
export declare type StopFargateEcsServicesState = EcsClusterState[];
export declare class StopFargateEcsServicesTrick implements TrickInterface<StopFargateEcsServicesState> {
    private ecsClient;
    static machineName: string;
    private aasClient;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: StopFargateEcsServicesState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper, currentState: StopFargateEcsServicesState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: StopFargateEcsServicesState, options: TrickOptionsInterface): Promise<Listr>;
    private getClusterState;
    private getServiceState;
    private listClusters;
    private listServices;
    private describeAllServices;
    private describeAllScalableTargets;
    private conserveDesiredCount;
    private conserveScalableTargets;
    private restoreDesiredCount;
    private restoreScalableTargets;
    private static getEcsServiceResourceId;
}
