"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TrickRegistry = void 0;
const stop_fargate_ecs_services_trick_1 = require("./stop-fargate-ecs-services.trick");
const stop_rds_database_instances_trick_1 = require("./stop-rds-database-instances.trick");
const shutdown_ec2_instances_trick_1 = require("./shutdown-ec2-instances.trick");
const decrease_dynamodb_provisioned_rcu_wcu_trick_1 = require("./decrease-dynamodb-provisioned-rcu-wcu.trick");
const remove_nat_gateways_trick_1 = require("./remove-nat-gateways.trick");
const snapshot_remove_elasticache_redis_trick_1 = require("./snapshot-remove-elasticache-redis.trick");
const decrease_kinesis_streams_shards_trick_1 = require("./decrease-kinesis-streams-shards.trick");
const stop_rds_database_clusters_trick_1 = require("./stop-rds-database-clusters.trick");
const scaledown_auto_scaling_groups_trick_1 = require("./scaledown-auto-scaling-groups.trick");
const suspend_auto_scaling_groups_trick_1 = require("./suspend-auto-scaling-groups.trick");
class TrickRegistry {
    constructor() {
        this.registry = [];
    }
    static initialize() {
        const registry = new TrickRegistry();
        registry.register(new stop_fargate_ecs_services_trick_1.StopFargateEcsServicesTrick(), new stop_rds_database_instances_trick_1.StopRdsDatabaseInstancesTrick(), new shutdown_ec2_instances_trick_1.ShutdownEC2InstancesTrick(), new decrease_dynamodb_provisioned_rcu_wcu_trick_1.DecreaseDynamoDBProvisionedRcuWcuTrick(), new remove_nat_gateways_trick_1.RemoveNatGatewaysTrick(), new snapshot_remove_elasticache_redis_trick_1.SnapshotRemoveElasticacheRedisTrick(), new decrease_kinesis_streams_shards_trick_1.DecreaseKinesisStreamsShardsTrick(), new stop_rds_database_clusters_trick_1.StopRdsDatabaseClustersTrick(), new scaledown_auto_scaling_groups_trick_1.ScaledownAutoScalingGroupsTrick(), new suspend_auto_scaling_groups_trick_1.SuspendAutoScalingGroupsTrick());
        return registry;
    }
    register(...trick) {
        this.registry.push(...trick);
    }
    all() {
        return this.registry;
    }
}
exports.TrickRegistry = TrickRegistry;
//# sourceMappingURL=trick-registry.js.map